MysqlSqlUtil::MysqlDatabase Class Reference

provides the MySQL-specific implementation of the AbstractDatabase interface More...

Inherits AbstractDatabase.

## Public Member Functions

int | getMaximumPrecision ()
| Returns the maximum precision for numeric or decimal columns. More...
bool | requiresScale ()
| Returns True if the driver requires a scale to support decimal values in numeric or decimal columns. More...

## Public Attributes

const | MysqlComputeStatisticsOptions = ...
| Options for computeStatistics()
const | MysqlDatabaseOptions = AbstractDatabase::DatabaseOptions + MysqlOptions
| MySQL-specific database options.
const | MysqlMaxPrecision = 65
| Maximum precision.
const | MysqlOptions = ...
| MySQL-specific options.
const | MysqlReclaimSpaceOptions = ...
| Options for reclaimSpace()
const | MysqlReservedWords = ...
| hash of reserved words
const | MysqlSchemaDescriptionOptions = AbstractDatabase::SchemaDescriptionOptions + MysqlOptions
| MySQL-specific schema description keys.
const | MysqlSequenceFunction = ...
| MySQL sequence function.
const | MysqlSequenceTable = ...
| MySQL sequence emulation table.
const | MyusqlCreationOptions = AbstractDatabase::CreationOptions
| MySQL creation options.

## Protected Member Functions

| computeStatisticsImpl (*hash options)
| compute statistics implementation. See SqlUtil::AbstractDatabase::computeStatistics()
hash | getComputeStatisticsOptions ()
| returns driver-specific options to the base abstract class
softint | getCurrentSequenceValueImpl (string name)
| returns the last value issued for the given sequence in the current session
hash | getDatabaseOptions ()
| returns driver-specific options to the base abstract class
softint | getNextSequenceValueImpl (string name)
| returns the next value in the given sequence
int | getPhysicalSizeImpl ()
| SqlUtil::AbstractDatabase.getPhysicalSize()
hash | getReclaimSpaceOptions ()
| returns driver-specific options to the base abstract class
hash | getSchemaDescriptionOptions ()
| returns driver-specific options to the base abstract class
list< string > | listFunctionsImpl ()
| returns a list of string function names in the database More...
list< string > | listProceduresImpl ()
| returns a list of string procedure names in the database More...
list< string > | listTablesImpl ()
| returns a list of string table names in the database
bool | rebuildIndexImpl (string name, *hash options)
| rebuild index implementation. See SqlUtil::AbstractDatabase::rebuildIndex()
| reclaimSpaceImpl (*hash options)
| reclaim space implementation. See SqlUtil::AbstractDatabase::reclaimSpace()
bool | supportsPackagesImpl ()
| returns True if the database supports packages
bool | supportsSequencesImpl ()
| returns True since we have a workaround implementation for sequences in MySQL
bool | supportsTypesImpl ()
| returns True if the database supports named types

## Protected Attributes

Datasource | seqds
| separate datasource dedicated for extern sequence implementation with autonomous transactions

## Detailed Description

provides the MySQL-specific implementation of the AbstractDatabase interface

## Member Function Documentation

## getMaximumPrecision()

int MysqlSqlUtil::MysqlDatabase::getMaximumPrecision | ( |  | ) |

Returns the maximum precision for numeric or decimal columns.

Returns
  -1 means, no maximum

Since
  MysqlSqlUtil 1.4.3

## listFunctionsImpl()

list<string> MysqlSqlUtil::MysqlDatabase::listFunctionsImpl | ( |  | ) |

protected

returns a list of string function names in the database

The function names will include arguments in parentheses after the names

Returns
  a list of string function names in the database

## listProceduresImpl()

list<string> MysqlSqlUtil::MysqlDatabase::listProceduresImpl | ( |  | ) |

protected

returns a list of string procedure names in the database

The procedure names will include arguments in parentheses after the names

Returns
  a list of string procedure names in the database

## requiresScale()

bool MysqlSqlUtil::MysqlDatabase::requiresScale | ( |  | ) |

Returns True if the driver requires a scale to support decimal values in numeric or decimal columns.

Returns
  True if the driver requires a scale to support decimal values in numeric or decimal columns

Since
  MysqlSqlUtil 1.4.3